Bug 126318 - [Maintainer] x11-wm/pekwm Update to 0.1.7
[Maintainer] x11-wm/pekwm Update to 0.1.7
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-06 23:50 UTC by carpetsmoker
Modified: 2008-08-09 00:00 UTC (History)
0 users

See Also:


Attachments
pekwm.diff (4.52 KB, patch)
2008-08-06 23:50 UTC, carpetsmoker
no flags Details | Diff
pekwm2.diff (1.31 KB, patch)
2008-08-07 00:59 UTC, Carpetsmoker
no flags Details | Diff
pekwm3.diff (700 bytes, patch)
2008-08-08 12:08 UTC, Carpetsmoker
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description carpetsmoker 2008-08-06 23:50:01 UTC
o Update to 0.1.7
o Update maintainer email address

Version 0.1.7 contains both bug fixes and new features compared to
0.1.6, most notably:

o UTF-8 support, finally non ASCII characters should render ok.
o RandR support, multi-screen configuration is now detected and should
  be handled correctly.
o Viewport support removed, it was buggy and not used by many.

For a somewhat more complete list of changes see:
http://www.pekwm.org/projects/pekwm/wikis/Release-0_1_7
Comment 1 Martin Wilke freebsd_committer 2008-08-07 00:46:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Carpetsmoker 2008-08-07 00:59:18 UTC
And an additional patch to fix a runtime issue.

-- 
Martin Tournoij
carpetsmoker@rwxrwxrwx.net
http://www.daemonforums.org

QOTD:
We must remember the First Amendment which protects any shrill
jackass no matter how self-seeking.
		-- F. G. Withington
Comment 3 Martin Wilke freebsd_committer 2008-08-08 11:18:04 UTC
State Changed
From-To: open->feedback


Build failed, could you please take a look. 

http://i386.miwibox.org/index.php?action=describe_port&id=1842 
http://amd64.miwibox.org/index.php?action=describe_port&id=1754 

Thanks
Comment 4 Carpetsmoker 2008-08-08 12:08:32 UTC
On Fri, Aug 08, 2008 at 10:18:36AM +0000, miwi@FreeBSD.org wrote:
> Synopsis: [Maintainer] x11-wm/pekwm Update to 0.1.7
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: miwi
> State-Changed-When: Fri Aug 8 10:18:04 UTC 2008
> State-Changed-Why: 
> 
> Build failed, could you please take a look.
> 
> http://i386.miwibox.org/index.php?action=describe_port&id=1842
> http://amd64.miwibox.org/index.php?action=describe_port&id=1754
> 
> Thanks

Forgot to add libiconv dependency, sorry.

Patch attached.

-- 
Martin Tournoij
carpetsmoker@rwxrwxrwx.net
http://www.daemonforums.org

QOTD:
New members urgently required for SUICIDE CLUB, Watford area.
		-- Monty Python's Big Red Book
Comment 5 dfilter freebsd_committer 2008-08-08 23:52:22 UTC
miwi        2008-08-08 22:52:13 UTC

  FreeBSD ports repository

  Modified files:
    x11-wm/pekwm         Makefile distinfo pkg-descr pkg-plist 
  Added files:
    x11-wm/pekwm/files   patch-data-scripts-pekwm_themeset.sh 
  Removed files:
    x11-wm/pekwm/files   patch-aa patch-ab 
  Log:
  o Update to 0.1.7
  o Update maintainer email address
  
  Version 0.1.7 contains both bug fixes and new features compared to
  0.1.6, most notably:
  
  o UTF-8 support, finally non ASCII characters should render ok.
  o RandR support, multi-screen configuration is now detected and should
  be handled correctly.
  o Viewport support removed, it was buggy and not used by many.
  
  For a somewhat more complete list of changes see:
  http://www.pekwm.org/projects/pekwm/wikis/Release-0_1_7
  
  PR:             126318
  Submitted by:   Martin Tournoij <carpetsmoker@xs4all.nl> (maintainer)
  
  Revision  Changes    Path
  1.28      +12 -10    ports/x11-wm/pekwm/Makefile
  1.14      +3 -3      ports/x11-wm/pekwm/distinfo
  1.3       +0 -11     ports/x11-wm/pekwm/files/patch-aa (dead)
  1.2       +0 -11     ports/x11-wm/pekwm/files/patch-ab (dead)
  1.1       +12 -0     ports/x11-wm/pekwm/files/patch-data-scripts-pekwm_themeset.sh (new)
  1.6       +1 -1      ports/x11-wm/pekwm/pkg-descr
  1.9       +10 -11    ports/x11-wm/pekwm/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Martin Wilke freebsd_committer 2008-08-08 23:53:31 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!